# This is the configure file of [K]yungHee [I]mage Processing Lab [F]acial [A]nalysis System (KIFAS) 
# If you add "#" at the first position of a line, KIFAS ignore that line. So we can use it as comments
#
# If you want to write a string which contains spaces, you wrap it with quotes " "
#
# Exmaple => ImageListFile = D:\Program files\kifas\list.txt    (X) Not OK because it contains spaces
#         => ImageListFile = "D:\Program files\kifas\list.txt"  (O)

##############################################################################################################
# RunType = train | test | both consists of following 3 types 
# - "train" for only trainning, this option turns the cache option to true 
# - "test" for only testing
# - "both" for train and then test
#
# When running you should specify whether you will cache the results using 
# Cache = true | false
#
# When running the test you should use the cache information. The default cache file for is "train.db," and the
# testing cache file is "test.db" which are stored in the local directory.
# Note that when you assign files you can list more than one file, and all will be used.
# You may change these files using
# TrainCacheFile = C:\path\to\train.db, C:\path\to\another\train.db
# TestCacheFile = C:\path\to\test.db
##############################################################################################################
RunType = both
Cache = false
#TrainCacheFile = C:\path\to\train.db
#TestCacheFile

################################################################################
# ImageListFile, ImageListFileTrain, and ImageListFileTest are the path of the image list file which also 
# stores the truth table
# The format of list files is like following 
# ---------------------------------------------
# filename | truth value 
# ---------------------------------------------
#
# Exmaples:
# face01.jpg 0 1
# face02.jpg 2 2
# face03.jpg 0 3
# ....
#
# TrainMode sets the training way. "fold" training uses only the ImageListFile and the Folds parameters to generate the training data. 
# It splits the images given in ImageListFile in Folds groups and then uses each of those as test and the rest as training. 
# While "separate" training uses the ImageListFileTrain as train images and the ImageListFileTest as test images. The separate option ignores the Folds option.
# TrainMode = folds | separate | 
# FoldNum = 10 
# FoldNum is the number of partitions for cross validation[folds only]
################################################################################
TrainMode = folds
#TrainMode = separate
Folds = 10

################################################################################
# ImageListFileTrain is a path of list file for training[separate and folds]
# ImageListFileTest is a path of list file for testing  [separate only] 
################################################################################
ImageListFileTrain = "C:\Users\Pran Tauhid Iqbal\Documents\MEGA\Expression\CK+\CK+150x110\list.txt"
ImageListFileTest = "F:\Documents\Data set\FERET-Cropped\norm-rot\dupI.lst"

##############################################################################################################
# ImageDirTrain is the path of images for training [seperate and fold]
# ImageDirTest is the path of images for testing   [seperate only] 
##############################################################################################################
ImageDirTrain = "C:\Users\Pran Tauhid Iqbal\Documents\MEGA\Expression\CK+\CK+150x110"
ImageDirTest = "E:\Databases\CK\CK-rot"


################################################################################
# if PersonIndependent is true, training data will not contain data which are calculated from the same person of test data. [ColOder = 0 only]
# if PersonIndependent is true, but ColOder is not 0, PersonIndependent will be false
# if PersonIndependent is false, training data will contain data of the same person of test data. 
################################################################################
PersonIndependent = false

###############################################################################
# ColOder means formats of each line in "ImageListFile"
# ColOder = 0  
# ImageListFile has both person id and expression id
# -> name perId expId (%s %d %d)
#
# ColOder = 1
# ImageListFile has only id which represents class for recognition
# -> name anyId (%s %d) 
#
# ColOder = 2
# ImageListFile has only filenames each of which contains id. 
# -> name  (%s)
############################################################################### 
ColOrder = 1 



##############################################################################################################
# Preprocessing
# Specify preprocessing algorithms which you want to apply to images before making appearance codes.
# If you want to applay more algorithms, you add "," and write another algorithm.
# Note: KIFAS applies these algorithms in sequence to the image files .
#
# Example:
# Preprocessing = GaussianSmoothing, Filter1, Filter2
##############################################################################################################
#Preprocessing = GaussianSmoothing

##############################################################################################################
# Appearance Code setting
##############################################################################################################
#AppearanceCode = LDP
#AppearanceCode = LSDP
#AppearanceCode = LGSP
AppearanceCode = NEDP_17


##############################################################################################################
# Feature Representation setting
##############################################################################################################
FeatureRepresentation = UniformHistogram



##############################################################################################################
# Feature Reduction Settings
##############################################################################################################
#FeatureReduction = 


##############################################################################################################
# Classifier Settings
##############################################################################################################
Classifier =SVM 


